Name:           morse2txt
Version:        1.0.0
Release:        2%{?dist}
Summary:        Morse Code Reader

Group:          Applications/Communications
License:        GPLv2+
URL:            http://morse2txt.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)     

BuildRequires:  gsl-devel
BuildRequires:  libgnomeui-devel

BuildRequires:  desktop-file-utils
BuildRequires:  gettext


%description
This program will decode morse code from your short-wave receiver
using your OSS capable sound card.


%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} INSTALL="install -p"
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{name}.desktop
%find_lang %{name}


%clean
rm -rf %{buildroot}


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README NEWS TODO
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png


%changelog
* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Jul 08 2009 Fabian Affolter <fabian@bernewireless.net> - 1.0.0-1
- Removed .desktop file and icon, now included in the source
- Updated to new upstream version 1.0.0

* Wed Apr 29 2009 Fabian Affolter <fabian@bernewireless.net> - 0.3.0-1
- Initial package for Fedora

